## contactlist.rb

###### コンタクトリスト ######

require 'uri'

module WMMC

	class ContactList

		def initialize(logdir)
			@logdir = logdir

			@contactlist = []
			@logfilelist = []
			update
		end

		def get_logfilelist
			filelist = Dir.glob("#{@logdir}/*")
			@logfilelist = ['LogFile']
			filelist.sort.each do |filename|
				next if filename == '.' || filename == '..'
				id = URI.decode(File.basename(filename))
				@logfilelist.push(Hash['id', id, 'nick', id, 'status', 'FLN'])
			end
		end

		def update(contactlist = [])
			if contactlist.empty?
				get_logfilelist
				@contactlist = [@logfilelist]
			else
				@contactlist = contactlist
			end
		end

		def list
			@contactlist
		end

		def get_status(id)
			@contactlist.each do |group|
				group.each_with_index do |data, idx|
					next if idx == 0
					if data['id'] == id
						return [data['nick'], data['status']]
					end
				end
			end
			return nil
		end

		def offline
			@contactlist.each do |group|
				group.each_with_index do |data, idx|
					next if idx == 0
					data['status'] = 'FLN'
				end
			end
		end

		private :get_logfilelist

	end

end
