## msnmconfig.rb

###### msnm 設定 ######

require 'plugins/wmmc/msnmcstm'

MSNMessenger = Net::InstantMessaging::MSNMessenger

class WebMessengerSessionHandler < MSNMessenger::SessionHandler

  def handle_message( peer_id, peer_nick, msg_header, msg_body )
    if msg_header =~ /\r\nContent-Type: text\/plain/um
      time = Time::now
      @msnm.log_io.writelog(false, @sess.session_start_peer_id, peer_id, peer_nick, msg_body, time)
      @msnm.set_latest_message(@sess.session_start_peer_id, peer_nick, time.to_i)
    end
  end

  def on_join(peer_id, peer_nick)
    @msnm.log_io.writelog(true, @sess.session_start_peer_id, 'System', 'System', "#{peer_nick}が参加しました。", Time::now) unless @sess.session_users.size <= 1
  end

  def on_bye( peer_id, peer_nick )
    if @sess.session_users.size.zero?
      session_out
    else
      @msnm.log_io.writelog(true, @sess.session_start_peer_id, 'System', 'System', "#{peer_nick}が退席しました。", Time::now) unless peer_nick.to_s == ''
    end
  end

end


class WebMessengerSessionHandlerFactory # Factory
  def create( msnm, session )
    WebMessengerSessionHandler.new( msnm, session )
  end
end
