## rhtml.rb

###### Web表示テンプレート ######

require 'erb'
include ERB::Util

module WMMC

	class RHTML

		def initialize(method, actionpath = "")
			@method = method
			@actionpath = actionpath
			@rhtmlpath = "#{File.dirname(File.expand_path(__FILE__))}/rhtml"
		end

		def set_actionpath(actionpath)
			@actionpath = actionpath
		end

		def toppage(title, myid, myname, mystatus, connect, userlist, latest_message, version, refresh = nil, refresh_on = false)
			ERB.new(File.read("#{@rhtmlpath}/toppage.rhtml")).result(binding)
		end

		def connectwaitpage(title)
			ERB.new(File.read("#{@rhtmlpath}/connectwaitpage.rhtml")).result(binding)
		end

		def disconnectwaitpage(title)
			ERB.new(File.read("#{@rhtmlpath}/disconnectwaitpage.rhtml")).result(binding)
		end

		def logpage(title, log, id, statusdata, latest_message, session_user, refresh = nil, refresh_on = false)
			ERB.new(File.read("#{@rhtmlpath}/logpage.rhtml")).result(binding)
		end

		def view_latest_message(latest_message, limit, peer_id = nil, refresh_on = false)
			ERB.new(File.read("#{@rhtmlpath}/latestmessage.rtxt")).result(binding)
		end

		def jumppage(title, id, refresh_on = false)
			ERB.new(File.read("#{@rhtmlpath}/jumppage.rhtml")).result(binding)
		end

		def readcss
			File.read("#{@rhtmlpath}/css.txt")
		end

		private :view_latest_message, :readcss

	end

end
